### Enumeration

# FwupdPlugin UsbDescriptorKind

#### Declaration

    enum FwupdPlugin.UsbDescriptorKind

#### Description

No description available.

#### Members

`FU_USB_DESCRIPTOR_KIND_INVALID`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_DEVICE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_CONFIG`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_STRING`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_INTERFACE`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_ENDPOINT`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_INTERFACE_ASSOCIATION`

  No description available.

  - Value: `11`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_BOS`

  No description available.

  - Value: `15`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_DEVICE_CAPABILITY`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_HID`

  No description available.

  - Value: `33`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_REPORT`

  No description available.

  - Value: `34`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_PHYSICAL`

  No description available.

  - Value: `35`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_HUB`

  No description available.

  - Value: `41`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_SUPERSPEED_HUB`

  No description available.

  - Value: `42`
  - Available since: 1.0
`FU_USB_DESCRIPTOR_KIND_SS_ENDPOINT_COMPANION`

  No description available.

  - Value: `48`
  - Available since: 1.0